SpeedBak User's Manual

Revision B
November 2, 1992
Copyright (C) 1992 MICROTOOLS
1     SpeedBak Introduction

      Welcome to SpeedBak.  SpeedBak is a powerful, safe  yet
      simple means of restoring the speed you once had on your
      hard drive.   Files stored on your disks can be scattered
      (fragmented) all over your drive.  When you want to use
      them, the disk drive must jump all over the disk to retrieve
      the necessary data.  SpeedBak performs three basic
      functions:

         1. Files that are fragmented are merged into one
            contiguous region on your disk to speed up disk
            access.
         2. All space between files is removed to minimize your
            need to run SpeedBak as frequently.  Some programs
            give you the option to only defragment your files. 
            Although this will cause the defragmenter to run
            quickly, it is not very useful.
         3. Removes unused directory entries.

      With these files defragmented and all of the free space on
      your disk in one place, your hard drive will have the speed
      you once knew back.
      
      SpeedBak is the fastest defragmenter in the known world.  We
      have tested it against all of the major commercial
      competitors using large drives and repeatable random
      fragmentation.  Depending on the amount of memory you have
      available, it can defragment disks with 32,767 files.  To
      determine the amount of memory required for you disk, the
      following equation applies:

         SpeedBak memory requirements:

           160,000 bytes + (cluster size) + (7 * number of files)
                         + (4 * number of clusters)

2     Installing SpeedBak

      SpeedBak is installed by inserting the installation disk in
      your floppy drive and typing A:INSTALL (or whatever drive
      letter that you are installing from).  The INSTALL program
      will copy the programs to C:\SPEEDBAK by default or to
      whatever other directory your specify.

3     Invoking SpeedBak

      SpeedBak can be invoked from the command line as follows
      (assuming it is in your path):

      C:>SPEEDBAK [switches]  [drive]

            where the optional switches are:
              /Z       allows you to erase (zero) unused data. 
                       Use this if you are paranoid about your
                       data.
              /NQ      allows you to run SpeedBak with no prompts
            where [drive] is the optional drive specification
              (including the colon).  If no drive is specified,
              the default drive is defragmented.

      SpeedBak should be run with all TSR's removed and all
      network drivers removed.  This is for your safety and the
      safety of your data.  The TSR world is a jungle and who
      knows what they can do.  Even the most benign might be
      lurking in the background just waiting to snag your data.

      In addition, SpeedBak should not be run from a multi-tasking
      environment like DesqView or Windows.  SpeedBak detects some
      of these environments, but SpeedBak must be the only thing
      running while defragmenting your disk.

4     Using SpeedBak

      All operation options are self-explanatory.  Options may be
      chosen by selecting the highlighted hot key or selecting
      with the left mouse button.

      Once started, SpeedBak can be aborted with the <Esc> key or
      the right mouse button.

      When SpeedBak starts, it analyzes the drive specified (or
      the default drive) to determine a number of statistics for
      the drive.  The following definitions are applicable to the
      statistics screen:

         Fragmented files - These are files whose contents do not
         occupy contiguous data blocks (sectors) on the disk.

         Non-fragmented files - These are files whose contents are
         contiguous.

         Directories - These are the special files that are used
         to organize your disk into manageable sections. 

         Used Clusters - A cluster is the minimum sized data block
         used by DOS to manage files.  These clusters are managed
         in the File Allocation Table (FAT).  A used cluster is
         one that has been allocated by one and only one file.

         Largest Directory - This number indicates how many
         clusters the largest directory uses.

         Free Clusters - A free cluster is data block that has not
         been allocated by a file.

         File Fragments - This number indicates how extra
         fragments are on the disk.  For example, if there was
         only one fragmented file and it was divided into two
         fragments, the number of file fragments would be one (not
         two since every file has at least one "fragment").

         Unmovable files - SpeedBak moves many files in the course
         of defragmenting your disk.  Certain files are not moved
         due to a variety of technical reasons.   Certain copy
         protection schemes have forced programs like SpeedBak to
         not move these files.  See section 5 for further details
         as to which files are not movable.  Since these files are
         not moved, they can cause a certain amount of
         fragmentation on your disk.

         Bad Clusters - When a disk is formatted, the formatting
         program marks certain data blocks (clusters) as bad or
         not usable.  These data blocks are not used by DOS and
         will not be used by SpeedBak.

         Directory Clusters - This number indicates the number of
         clusters used by all of the directories.

         Largest File - This number indicates the number of
         clusters used by the largest file.

         Blocks of free clusters - This number indicates how many
         contiguous blocks of free clusters exist.

      When defragmenting a hard drive, you will be forced to re-
      boot!  Some programs do not force this at the risk of your
      hard drive!  There are too many times that users do not heed
      the warning to remove network drives and TSR's to not do
      this.  When defragmenting a floppy drive, you will be given
      the option.

5     Technical Details

      SpeedBak has chosen the optimum method of placing the files
      on your hard disk.  SpeedBak will place all of your
      directories at the front of the disk (closest to the FAT). 
      After that, all files are placed in a best fit algorithm.

      Certain files are not moved by SpeedBak because of copy
      protection algorithms used by other vendors.  The following
      files are not moved:

         All system and hidden files as well as:

DCONFIG.SYS
IBMBIO.COM
IBMDOS.COM
INSTALL.EXE
IO.BIN
IO.SYSMIO.SYS
MSDOS.SYS
SSTORDRV.SYS
TBIOS.SYS
TDOS.SYS

6     Errors

      Under a variety of circumstances, SpeedBak may report
      errors.

      As mentioned, previously, if SpeedBak detects a multi-
      tasking environment, it will print out one of the following
      errors where XYZ is the multi-tasking environment:

         XYZ is active.  SpeedBak should be run from DOS with all
         TSRs and multitasking programs removed from memory. 
         Please remove XYZ from memory (DOS errors #33 and #34).

      Every program has it's limits.  SpeedBak has certain limits
      around which it is designed.  It is designed to only handle
      a certain number of files, directories, requires a certain
      amount of memory and requires a small amount of disk space. 
      If any of the following occur, and you are a registered
      user, please call technical support to discuss the
      possibility of increasing these design limitations:

         Cannot handle more than 32767 files  (#13)
         Cannot handle more than 600 directories (#15)
         Must have at least 8192 free bytes on disk (#18)
         Must have at least 4 clusters free on disk (#19)
         Out of memory (#10)

      There are certain hardware errors that should never occur
      unless your machine is ill.  The following are indicative of
      a serious hardware problem on your machine (with the
      exception of write protect errors):

         Read error (#1)
         Write error, disk may be write protected. (#31)
         Internal error in counting the number of files (#14)

      Some problems may occur because of bugs in other disk
      software.  If you get any of the following errors, unload
      all of your TSR's and device drives and try again.  The
      problem should go away.

         Divide error (#55)

      If SpeedBak detects a file structure problem on your disk,
      it uses CHKDSK to correct it.  SpeedBak must be able to find
      it.  If it cannot, you will get the following message:

         Unable to start chkdsk, Please run chkdsk/f on drive
           (#30)

      Lastly, there are those errors that seem like they are the
      user's fault.  But since the customer is always right, we
      report it as an error.  It is difficult to defragment a disk
      that has no files on it and even more difficult to respond
      to ambiguous commands.

         No files on disk (#21)
         Bad Command Line Option (#1)


         ----------------end-of-author's-documentation---------------

                         Software Library Information:

                    This disk copy provided as a service of

                           Public (software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  PsL cannot debug pro-
         programs over the telephone, though we can answer questions.

         Disks in the PsL are updated  monthly,  so if you did not get
         this disk directly from the PsL, you should be aware that the
         files in this set may no longer be the current versions. Also,
         if you got this disk from another vendor and are having prob-
         lems,  be aware that  some files may have become corrupted or
         lost by that vendor. Get a current, working disk from PsL.

         For a copy of the latest monthly software library newsletter
         and a list of the 4,000+ disks in the library, call or write

                           Public (software) Library
                               P.O.Box 35705 - F
                            Houston, TX 77235-5705

                                1-800-2424-PSL
                             MC/Visa/AmEx/Discover

                          Outside of U.S. or in Texas
                          or for general information,
                              Call 1-713-524-6394


